Issue #6233 has been updated by mame (Yusuke Endoh).


Thank you for your quick reply.

Ultimately, everything about standard library is determined by
each maintainer.  So, in general, you can go ahead if you think
it is appropriate.

I have no opinion about with this paticular case.
Is 0.9.6 still (effectively) maintained by OpenSSL team?
NaHi, do you have an opinion?

-- 
Yusuke Endoh <mame / tsg.ne.jp>
----------------------------------------
Bug #6233: Definition of EVP_MD_CTX_cleanup incomplete. 
https://bugs.ruby-lang.org/issues/6233#change-25490

Author: rubysubmit (Ruby Submit)
Status: Assigned
Priority: Low
Assignee: MartinBosslet (Martin Bosslet)
Category: 
Target version: 
ruby -v: ruby 1.9.2p290


File: ext\openssl\openssl_missing.c
Line: 67

#if !defined(HAVE_EVP_MD_CTX_CLEANUP)
int
EVP_MD_CTX_cleanup(EVP_MD_CTX *ctx)
{
    /* FIXME!!! */
    memset(ctx, 0, sizeof(EVP_MD_CTX));

    return 1;
}
#endif



-- 
http://bugs.ruby-lang.org/